Package com.sas.lsaf.security.audit

## Class AuditAction

- java.lang.Object
- - com.sas.lsaf.security.audit.AuditAction

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AuditAction
      extends java.lang.Object
      implements java.io.Serializable

  The representation of an audit action that is associated with a specific object type within the system.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditAction​(java.lang.String typeId, java.lang.String action, java.lang.String displayName)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAction()` | Gets the audit action identifier.
    `java.lang.String` | `getDisplayName()` | Gets the audit action display name.
    `java.lang.String` | `getTypeId()` | Gets the type identifier that is associated with the audit action.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditAction

          public AuditAction​(java.lang.String typeId,
                             java.lang.String action,
                             java.lang.String displayName)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the audit action information objects returned by the API.
      Parameters:
        `typeId` - the type identifier that is associated with the audit action.
        `action` - the audit action identifier.
        `displayName` - the audit action display name.

  - ### Method Detail

    - #### getTypeId

          public java.lang.String getTypeId()

      Gets the type identifier that is associated with the audit action.
      Returns:
        The type identifier that is associated with the audit action.

    - #### getAction

          public java.lang.String getAction()

      Gets the audit action identifier.
      Returns:
        The audit action identifier.

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the audit action display name.
      Returns:
        The audit action display name.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`